diff -r 675de8e6becf -r e7ba81c8dc5a extra/soundsoftware/extract-docs.sh
--- a/extra/soundsoftware/extract-docs.sh
+++ b/extra/soundsoftware/extract-docs.sh
@@ -22,7 +22,7 @@
     *) progdir="$(pwd)/$progdir" ;;
 esac
 
-types="doxygen javadoc" # Do Doxygen first (it can be used for Java too)
+types="doxygen javadoc matlabdocs" # Do Doxygen first (it can be used for Java too)
 
 for x in $types; do
     if [ ! -x "$progdir/extract-$x.sh" ]; then
diff -r 675de8e6becf -r e7ba81c8dc5a extra/soundsoftware/extract-matlabdocs.sh
--- /dev/null
+++ b/extra/soundsoftware/extract-matlabdocs.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+docdir="/var/doc"
+
+progdir=$(dirname $0)
+case "$progdir" in
+    /*) ;;
+    *) progdir="$(pwd)/$progdir" ;;
+esac
+
+project="$1"
+projectdir="$2"
+targetdir="$3"
+
+if [ -z "$project" ] || [ -z "$targetdir" ] || [ -z "$projectdir" ]; then
+    echo "Usage: $0 <project> <projectdir> <targetdir>"
+    exit 2
+fi
+
+if [ ! -d "$projectdir" ]; then
+    echo "Project directory $projectdir not found"
+    exit 1
+fi
+
+if [ ! -d "$targetdir" ]; then
+    echo "Target dir $targetdir not found"
+    exit 1
+fi
+
+if [ -f "$targetdir/index.html" ]; then
+    echo "Target dir $targetdir already contains index.html"
+    exit 1
+fi
+
+mfile=$(find "$projectdir" -type f -name \*.m -print0 | xargs -0 grep -l '^% ' | head -1)
+
+if [ -z "$mfile" ]; then
+    echo "No MATLAB files with comments found for project $project"
+    exit 1
+fi
+
+echo "Project $project contains at least one MATLAB file with comments"
+
+cd "$projectdir" || exit 1
+
+perl "$progdir/matlab-docs.pl" -c "$progdir/matlab-docs.conf" -d "$targetdir"
+
diff -r 675de8e6becf -r e7ba81c8dc5a extra/soundsoftware/matlab-docs.conf
--- a/extra/soundsoftware/matlab-docs.conf
+++ b/extra/soundsoftware/matlab-docs.conf
@@ -154,7 +154,7 @@
 #------------------------------------------------------------------------
 # codehr: HTML-code used to define a <HR>, do what you want
 #------------------------------------------------------------------------
-set codehr = <hr size="3" noshade="noshade" />
+set codehr = <hr>
 
 #------------------------------------------------------------------------
 # codeheader: HTML-code added to <H*> tags, use for centering header text
diff -r 675de8e6becf -r e7ba81c8dc5a extra/soundsoftware/matlab-docs.pl
--- a/extra/soundsoftware/matlab-docs.pl
+++ b/extra/soundsoftware/matlab-docs.pl
@@ -75,7 +75,7 @@
 
 $VERSION  = '1.23';
 ($PROGRAM = $0) =~ s@.*/@@; $PROGRAM = "\U$PROGRAM\E";
-$debug = 4;
+$debug = 1;
 
 #------------------------------------------------------------------------
 # Define platform specific things
